## linux-signed-hwe-edge 4.15.0-23.25~16.04.1

=== debian/changelog ===
linux-signed-hwe-edge (4.15.0-23.25~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-23.25~16.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 24 May 2018 12:10:44 +0200

linux-signed-hwe-edge (4.15.0-22.24~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-22.24~16.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 18 May 2018 09:26:03 +0200

linux-signed-hwe-edge (4.15.0-21.22~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-21.22~16.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 03 May 2018 10:44:52 -0300

linux-signed-hwe-edge (4.15.0-20.21~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-20.21~16.04.1

  * signing: only install a signed kernel (LP: #1764794)
    - switch to raw-signing tarball form
    - make control.stub master for packages built
    - [Config] tone down the output verbosity
    - switch to producing linux-image directly
    - propogate control information from -unsigned package
    - pull control files in from linux-unsigned
    - resync control files with master
    - introduce meta packages for the debug package
    - fix names of substvars files
    - propogate Recommends: and Provides: from unsigned package
    - fix Section: control records
    - do not produce lowlatency dbgsym package for ppc64el
    - move dbgsym packages to bottom of control file
    - ensure we apt-cache show against the exact version

  * [18.04 FEAT] Sign POWER host/NV kernels (LP: #1696154)
    - add Opal signing support and enable for ppc64el

  * Miscellaneous Ubuntu changes
    - fix filenames for dbgsym packages
    - Fix dbgsym package renaming when we have a +signed version number
    - fix permissions for installed signed kernel images
    - use arch headers package when building download path for signed binaries

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 24 Apr 2018 23:19:46 -0300

linux-signed-hwe-edge (4.15.0-15.16~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-15.16~16.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 04 Apr 2018 15:22:42 -0300

linux-signed-hwe-edge (4.15.0-13.14~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-13.14~16.04.1

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 16 Mar 2018 21:09:56 -0500

linux-signed-hwe-edge (4.15.0-12.13~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-12.13~16.04.1

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 08 Mar 2018 15:55:56 +0100

linux-signed-hwe-edge (4.15.0-10.11~16.04.1) xenial; urgency=medium

  * Master version: 4.15.0-10.11~16.04.1

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 16 Feb 2018 15:57:21 -0200

linux-signed-hwe-edge (4.13.0-25.29~16.04.2) xenial; urgency=medium

  * Master version: 4.13.0-25.29~16.04.2

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 09 Jan 2018 09:55:57 -0200

linux-signed-hwe-edge (4.13.0-25.29~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-25.29~16.04.1

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 08 Jan 2018 20:16:09 -0200

linux-signed-hwe-edge (4.13.0-24.28~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-24.28~16.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Sun, 07 Jan 2018 15:47:49 +0100

linux-signed-hwe-edge (4.13.0-23.27~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-23.27~16.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Sun, 07 Jan 2018 10:26:20 +0100

linux-signed-hwe-edge (4.13.0-23.26~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-23.26~16.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Sat, 06 Jan 2018 16:36:58 +0100

linux-signed-hwe-edge (4.13.0-22.25~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-22.25~16.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 19 Dec 2017 09:27:17 -0200

linux-signed-hwe-edge (4.13.0-21.24~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-21.24~16.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 18 Dec 2017 15:45:05 -0200

linux-signed-hwe-edge (4.13.0-19.22~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-19.22~16.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 04 Dec 2017 16:24:27 +0100

linux-signed-hwe-edge (4.13.0-18.21~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-18.21~16.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 22 Nov 2017 14:14:30 +0100

linux-signed-hwe-edge (4.13.0-17.20~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-17.20~16.04.1

  * Miscellaneous Ubuntu changes
    - fix the tag prefix

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 06 Nov 2017 15:03:08 +0100

linux-signed-hwe-edge (4.13.0-16.19~16.04.3) xenial; urgency=medium

  * Master version: 4.13.0-16.19~16.04.3

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 16 Oct 2017 12:25:26 -0500

linux-signed-hwe-edge (4.13.0-16.19~16.04.2) xenial; urgency=medium

  * Master version: 4.13.0-16.19~16.04.2

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 13 Oct 2017 09:38:53 -0500

linux-signed-hwe-edge (4.13.0-16.19~16.04.1) xenial; urgency=medium

  * Master version: 4.13.0-16.19~16.04.1

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 12 Oct 2017 14:50:11 -0500

linux-signed-hwe-edge (4.11.0-14.20~16.04.1) xenial; urgency=medium

  * Master version: 4.11.0-14.20~16.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 09 Aug 2017 12:29:28 +0200

linux-signed-hwe-edge (4.11.0-13.19~16.04.1) xenial; urgency=medium

  * Master version: 4.11.0-13.19~16.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 02 Aug 2017 22:55:31 -0300

linux-signed-hwe-edge (4.11.0-12.17~16.04.1) xenial; urgency=medium

  * Master version: 4.11.0-12.17~16.04.1

 -- Andy Whitcroft <apw@canonical.com>  Fri, 28 Jul 2017 14:50:55 +0100


