## linux-signed-hwe-edge 5.3.0-24.26~18.04.2

=== debian/changelog ===
linux-signed-hwe-edge (5.3.0-24.26~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-24.26~18.04.2

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 26 Nov 2019 12:42:47 +0100

linux-signed-hwe-edge (5.3.0-24.26~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-24.26~18.04.1

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Fri, 15 Nov 2019 19:04:34 +0800

linux-signed-hwe-edge (5.3.0-23.25~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-23.25~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 12 Nov 2019 11:35:06 +0100

linux-signed-hwe-edge (5.3.0-22.24~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-22.24~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 11 Nov 2019 09:13:30 +0100

linux-signed-hwe-edge (5.3.0-22.23~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-22.23~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 06 Nov 2019 18:01:03 +0100

linux-signed-hwe-edge (5.3.0-21.22~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-21.22~18.04.1

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 29 Oct 2019 22:17:21 -0400

linux-signed-hwe-edge (5.3.0-20.21~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-20.21~18.04.1

 -- Khalid Elmously <khalid.elmously@canonical.com>  Fri, 25 Oct 2019 03:21:51 -0400

linux-signed-hwe-edge (5.3.0-19.20~18.04.2+2) bionic; urgency=medium

  * vmlinuz is world-readable (LP: #1843327)
    - fix vmlinuz-* permissions for opal and sipl signed kernels

  * [MIR] Please add support for SIPL (LP: #1829749)
    - enable secureboot signing on s390x.

 -- Khalid Elmously <khalid.elmously@canonical.com>  Thu, 24 Oct 2019 17:28:00 -0400

linux-signed-hwe-edge (5.3.0-19.20~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-19.20~18.04.2

  * vmlinuz is world-readable (LP: #1843327)
    - fix vmlinuz-* permissions for opal signed kernels

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 23 Oct 2019 05:58:26 -0300

linux-signed-hwe-edge (5.3.0-19.20~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-19.20~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 18 Oct 2019 12:36:21 -0300

linux-signed-hwe-edge (5.3.0-18.19~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-18.19~18.04.2

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 16 Oct 2019 15:07:43 -0300

linux-signed-hwe-edge (5.3.0-18.19~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-18.19~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 09 Oct 2019 12:52:30 -0300

linux-signed-hwe-edge (5.3.0-12.13~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-12.13~18.04.2

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 18 Sep 2019 15:21:45 -0300

linux-signed-hwe-edge (5.3.0-12.13~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-12.13~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 17 Sep 2019 21:03:18 -0300

linux-signed-hwe-edge (5.2.0-13.14~18.04.1) bionic; urgency=medium

  * Master version: 5.2.0-13.14~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 21 Aug 2019 09:49:24 -0300

linux-signed-hwe-edge (5.2.0-10.11~18.04.1) bionic; urgency=medium

  * Master version: 5.2.0-10.11~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 07 Aug 2019 11:21:29 -0300

linux-signed-hwe-edge (5.2.0-9.10~18.04.1) bionic; urgency=medium

  * Master version: 5.2.0-9.10~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Sun, 21 Jul 2019 09:55:45 -0300

linux-signed-hwe-edge (5.2.0-8.9~18.04.1) bionic; urgency=medium

  * Master version: 5.2.0-8.9~18.04.1


 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 18 Jul 2019 11:09:48 -0300

linux-signed-hwe-edge (5.0.0-20.21~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-20.21~18.04.1

 -- Khalid Elmously <khalid.elmously@canonical.com>  Wed, 26 Jun 2019 15:50:44 -0400

linux-signed-hwe-edge (5.0.0-19.20~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-19.20~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 20 Jun 2019 13:02:16 +0200

linux-signed-hwe-edge (5.0.0-18.19~18.04.2) bionic; urgency=medium

  * Master version: 5.0.0-18.19~18.04.2

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 13 Jun 2019 18:59:28 +0200

linux-signed-hwe-edge (5.0.0-18.19~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-18.19~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 13 Jun 2019 14:34:47 +0200

linux-signed-hwe-edge (5.0.0-17.18~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-17.18~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 05 Jun 2019 14:30:44 +0200

linux-signed-hwe-edge (5.0.0-16.17~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-16.17~18.04.1

  * Built-Using incorrect (LP: #1824016)
    - Rename "VERSION" template string to more precise "UNSIGNED_SRC_VERSION"
    - Use the correct source package name in Built-Using field

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Mon, 20 May 2019 20:37:49 +0800

linux-signed-hwe-edge (5.0.0-15.16~18.04.1+signed1) bionic; urgency=medium

  * SecureBoot support for arm64 (LP: #1804481)
    - support recompression of signed kernels

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 14 May 2019 13:49:08 +0200

linux-signed-hwe-edge (5.0.0-15.16~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-15.16~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 07 May 2019 15:36:58 +0200

linux-signed-hwe-edge (5.0.0-14.15~18.04.1+signed1) bionic; urgency=medium

  * arm64: not able to install linux-generic-hwe-18.04-edge/bionic-proposed
    (LP: #1823994)
    - [Packaging] Add support for arm64

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 29 Apr 2019 12:44:56 +0200

linux-signed-hwe-edge (5.0.0-14.15~18.04.1) bionic; urgency=medium


