=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 # Work out the source package name and version.  We assume the source package
 # is the name of this package with -signed stripped.  The version is identical
-# to this package less any rebuild suffic (+signedN).
+# to this package less any rebuild suffix (+N).
 src_package := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Source: | cut -d ' ' -f 2 | sed -e 's/-signed//')
 src_fullversion = $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-src_version = $(shell echo $(src_fullversion) | sed -e 's/+signed[0-9]*.*//')
+src_version = $(shell echo $(src_fullversion) | sed -e 's/+[0-9]*.*//')
 src_abi = $(shell echo "$(src_version)" | sed -ne 's/\([0-9]*\.[0-9]*\.[0-9]*\-[0-9]*\)\..*/\1/p')
 src_headers := linux-headers-$(src_abi)-generic
 
@@ -20,7 +20,8 @@
 	sed <debian/control.stub >debian/control			\
 		-e "s/HEADERS/$(src_headers)/g"				\
 		-e "s/ABI/$(src_abi)/g"					\
-		-e "s/VERSION/$(src_version)/g"
+		-e "s/UNSIGNED_SRC_PACKAGE/$(src_package)/g"		\
+		-e "s/UNSIGNED_SRC_VERSION/$(src_version)/g"
 	rm -rf ./$(src_version) UNSIGNED SIGNED
 	rm -f 	debian/linux-image-*.install				\
 		debian/linux-image-*.preinst 				\
@@ -44,15 +45,29 @@
 		cd "$(src_version)" || exit 1;					\
 		for s in *.efi.signed; do					\
 			[ ! -f "$$s" ] && continue;				\
+			base=$$(echo "$$s" | sed -e 's/.efi.signed//');		\
+			(							\
+				vars="$${base}.efi.vars";			\
+				[ -f "$$vars" ] && . "./$$vars";		\
+				if [ "$$GZIP" = "1" ]; then			\
+					gzip -9 "$$s";				\
+					mv "$${s}.gz" "$$s";			\
+				fi;						\
+			);							\
 			chmod 600 "$$s";					\
-			base=$$(echo "$$s" | sed -e 's/.efi.signed//');		\
 			ln "$$s" "../SIGNED/$$base";				\
 		done;								\
 		for s in *.opal.sig; do						\
 			[ ! -f "$$s" ] && continue;				\
-			chmod 600 "$$s";					\
 			base=$$(echo "$$s" | sed -e 's/.opal.sig//');		\
-			cat "$$base.opal" "$$s" >"../SIGNED/$$base";\
+			cat "$$base.opal" "$$s" >"../SIGNED/$$base";		\
+			chmod 600 "../SIGNED/$$base";				\
+		done;								\
+		for s in *.sipl.sig; do						\
+			[ ! -f "$$s" ] && continue;				\
+			base=$$(echo "$$s" | sed -e 's/.sipl.sig//');		\
+			cat "$$base.sipl" "$$s" >"../SIGNED/$$base";		\
+			chmod 600 "../SIGNED/$$base";				\
 		done								\
 	)
